Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v2
Class AmountType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v2.AmountType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-09-22T05:52:20+02:00",
               comments="JAXB RI v2.2.11")
    public class AmountType

extends Object
implements Serializable

Java class for AmountType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmountType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>float">
           <attribute name="currency" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AmountType()`

Method Summary
`String` | `getCurrency()` Gets the value of the currency property.
`float` | `getValue()` Gets the value of the value property.
`void` | `setCurrency(String value)` Sets the value of the currency property.
`void` | `setValue(float value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AmountType

    public AmountType()

Method Detail

### getValue

    public float getValue()

  Gets the value of the value property.

### setValue

    public void setValue(float value)

  Sets the value of the value property.

### getCurrency

    public String getCurrency()

  Gets the value of the currency property.

  Returns:
    possible object is `String`

### setCurrency

    public void setCurrency(String value)

  Sets the value of the currency property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.